import processing.video.*;

Movie movie;

PImage bgImg;
boolean bgFlg = false;

int count=0;

void setup() {
  size(960, 540);
  movie = new Movie(this, "face_movie.mov");
  movie.loop();
}

void movieEvent(Movie movie) {
  movie.read();
  if (count>10) {
    if (bgFlg == false) {
      bgImg = movie.get(0, 0, width, height);
      bgFlg = true;
    }
  }
  count++;
}

void draw() {
  if (bgImg != null) {
    image(bgImg, 0, 0);
    blend(movie, 0, 0, width, height, 0, 0, width, height, DIFFERENCE);
  }
}

void keyPressed() {
  if (key == ' ') {
    bgFlg = false;
  }
}
