import processing.video.*;
Capture capImg;

PImage bgImg;
boolean bgFlg = false;

int count=0;

void setup() {
  size(640, 480);
  String[] cameras = Capture.list();
  println("Available cameras:");
  for (int i = 0; i < cameras.length; i++) {
    println(i, cameras[i]);
  }
  capImg = new Capture(this, width, height, cameras[0]);
  //capImg = new Capture(this, width, height, cameras[3]);  // for Surface PC
  capImg.start();
}

void captureEvent(Capture capImg) {
  capImg.read();
  if (count>10) {
    if (bgFlg == false) {
      bgImg = capImg.get(0, 0, width, height);
      bgFlg = true;
    }
  }
  count++;
}

void draw() {
  if (bgImg != null) {
    image(bgImg, 0, 0);
    blend(capImg, 0, 0, width, height, 0, 0, width, height, DIFFERENCE);
  }
}

void keyPressed() {
  if (key == ' ') {
    bgFlg = false;
  }
}
