PGraphics alphaImg;
PImage img;
color c1, c2, c3, c4, c5;
color c1a, c2a, c3a, c4a, c5a, c6a;
boolean startFlag, deleteFlag, drawFlag;
int imageSize, diffH;

void setup() {
  size(320, 380);
  imageSize = 320;
  diffH = height-imageSize;
  c1 = color(0, 0, 0);
  c2 = color(255, 0, 0);
  c3 = color(0, 255, 0);
  c4 = color(0, 0, 255);
  c5 = color(235, 235, 235);
  c1a = color(0, 0, 0, 255);
  c2a = color(255, 0, 0, 255);
  c3a = color(0, 255, 0, 255);
  c4a = color(0, 0, 255, 255);
  c5a = color(255, 255, 255, 255);
  c6a = color(0, 0, 0, 0);
  startFlag = true;
  deleteFlag = false;
  drawFlag = false;
  stroke(c1a);
  alphaImg = createGraphics(imageSize, imageSize);
  img = loadImage("face.png");
  img.loadPixels();
  alphaImg.beginDraw(); // add
  alphaImg.pixels = img.pixels;
  alphaImg.updatePixels();
  alphaImg.endDraw(); // add
}

void draw() {
  fill(c5);
  rect(0, diffH, width, height-diffH);
  drawRect();
  alphaImg.beginDraw();
  if (startFlag == true) {
    alphaImg.stroke(c1a);
    startFlag=false;
  }
  if (mousePressed == true) {
    if (deleteFlag == false) {
      alphaImg.strokeWeight(10);
      alphaImg.line(pmouseX, pmouseY-diffH, mouseX, mouseY-diffH);
    } else {
      delete2();
    }
  }
  alphaImg.endDraw();
  image(alphaImg.get(), 0, diffH);
}

void keyPressed() {
  if (key == ' ') {
    alphaImg.save("face1.png");
    println("pngImage saved.");
  }
}

void mouseClicked() {
  if (mouseY < 50) {
    deleteFlag = false;
    if (mouseX < width/5*1) {
      stroke(c1a);
      alphaImg.stroke(c1a);
    } else if (mouseX < width/5*2) {
      stroke(c2a);
      alphaImg.stroke(c2a);
    } else if (mouseX < width/5*3) {
      stroke(c3a);
      alphaImg.stroke(c3a);
    } else if (mouseX < width/5*4) {
      stroke(c4a);
      alphaImg.stroke(c4a);
    } else {
      stroke(c5a);
      deleteFlag = true;
    }
  }
}

void drawRect() {
  strokeWeight(10);
  fill(c1);
  rect(width/5*0, 5, width/5, 50);
  fill(c2);
  rect(width/5*1, 5, width/5, 50);
  fill(c3);
  rect(width/5*2, 5, width/5, 50);
  fill(c4);
  rect(width/5*3, 5, width/5, 50);
  fill(c5);
  rect(width/5*4, 5, width/5, 50);
}

void delete() { // clear all
  alphaImg.loadPixels();
  for (int y = 0; y < height-diffH; y++) {
    for (int x = 0; x < width; x++) {
      int pixelIndex = x+y*width;
      alphaImg.pixels[pixelIndex] = c6a;
    }
  }
  alphaImg.updatePixels();
}

void delete2() { // clear part
  int clearW = 5;
  alphaImg.loadPixels();
  for (int y = mouseY-diffH-clearW; y < mouseY-diffH+clearW+1; y++) {
    for (int x = mouseX-clearW; x < mouseX+clearW+1; x++) {
      if (0 <= x && x <= imageSize-1 && 0 <= y && y <= imageSize-1) {
        int pixelIndex = x+y*width;
        alphaImg.pixels[pixelIndex] = c6a;
      }
    }
  }
  alphaImg.updatePixels();
}
