import processing.video.*;
Capture capImg;

void setup() {
  size(640, 480);
  String[] cameras = Capture.list();
  println("Available cameras:");
  for (int i = 0; i < cameras.length; i++) {
    println(i, cameras[i]);
  }
  capImg = new Capture(this, width, height, cameras[0]);
  //capImg = new Capture(this, width, height, cameras[3]);  // for Surface PC
  capImg.start();
}

void captureEvent(Capture capImg) {
  capImg.read();
}

void draw() {
  image(capImg, 0, 0);
}
